﻿using CommunityToolkit.Maui.Converters;

namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 선택 값 - SelectedValue

    /// <summary>
    /// 선택 값
    /// </summary>
    public string SelectedValue { get; set; }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        SelectedValue = "TestProject.IMAGE.sample.png";

        ImageResourceConverter converter = new ImageResourceConverter();

        this.image.SetBinding
        (
            Image.SourceProperty,
            new Binding("SelectedValue", converter : converter)
        );

        BindingContext = this;
    }

    #endregion
}